Create Transformation Project
Creates a new transformation project.
Request schema
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The unique identifier for the group within the Fivetran system
Transformation project type
The boolean flag specifies if the project should be tested after creation or update operation
dbt Core project configuration object
The version of dbt that should run the project
The default schema in the destination
The Git remote URL of your dbt project
The path to the folder in the Git repo where your dbt project is stored.
The Git branch of your dbt project.
The number of threads dbt will use
The default target name
The list of environment variables defined as key-value pairs in the raw string format using = as a separator. The variable names should have the DBT_ prefix and can contain A-Z, 0-9, dash, underscore, or dot characters. Example: ["DBT_VARIABLE=variable_value", "DBT_VARIABLE_2=variable_value_2"]
POST /v1/transformation-projects HTTP/1.1 Accept: application/json Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 340 { "group_id": "string", "type": "DBT_CORE", "run_tests": true, "project_config": { "dbt_version": "string", "default_schema": "string", "git_remote_url": "string", "folder_path": "string", "git_branch": "string", "threads": 0, "target_name": "string", "environment_vars": [ "string" ] } }
Responses
201
Response status code
Response status text
The unique identifier for the transformation project within the Fivetran system
Transformation project type
The status of transformation project
The list of errors occurred during project processing and setup
The timestamp when the transformation project was created
The unique identifier for the actor (user or system key) within the Fivetran system
The unique identifier for the group within the Fivetran system
The setup tests results
A human-readable name for the setup test step. For example: Validate Login, Test Connection, Check Permissions.
The result of the individual setup test step. Possible values: PASSED, FAILED, SKIPPED.
The result message for the setup test step. For example: Invalid login credentials.
Additional diagnostic information about the setup test result. Populated when the status is FAILED and more context is available beyond the message.
dbt Core project configuration object
The version of dbt that should run the project
The default schema in the destination
The Git remote URL of your dbt project
The path to the folder in the Git repo where your dbt project is stored.
The Git branch of your dbt project.
The number of threads dbt will use
The default target name
The list of environment variables defined as key-value pairs in the raw string format using = as a separator. The variable names should have the DBT_ prefix and can contain A-Z, 0-9, dash, underscore, or dot characters. Example: ["DBT_VARIABLE=variable_value", "DBT_VARIABLE_2=variable_value_2"]
The public key used to grant Fivetran SSH access to the dbt project Git repository
{ "code": "Success", "message": "Transformation project created successfully", "data": { "id": "string", "type": "DBT_CORE", "status": "NOT_READY", "errors": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "group_id": "string", "setup_tests": [ { "title": "Validate Login", "status": "FAILED", "message": "Invalid login credentials.", "details": "Authentication failed (401 Unauthorized). Verify the provided credentials and permissions." } ], "project_config": { "dbt_version": "string", "default_schema": "string", "git_remote_url": "string", "folder_path": "string", "git_branch": "string", "threads": 0, "target_name": "string", "environment_vars": [ "string" ], "public_key": "string" } } }